Anonymous Login
2018-12-13 03:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001249OpenClonkObjectspublic2017-12-27 13:05
ReporterMaikel 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Versiongit masterFixed in Versiongit master 
Summary0001249: Fire particles of incinerated powder keg are at clonk's center when being carried.
DescriptionSee title.
TagsNo tags attached.
Attached Files

-Relationships
related to 0001300acknowledged Feature Request - CreateParticleAtBone for attached meshes 
+Relationships

-Notes

~0003443

Zapper (developer)

They should probably use CreateParticleAtBone when they are carried?
Maybe the Clonk could even provide a CreateParticleAtHand wrapper as this sounds like it would be a common issue (and I doubt people will be motivated to look up the correct bone each time..)

~0003445

Sven2 (developer)

A more generic solution would be to change the contents behaviour in the engine. Currently, contents objects are always forced to the same positions as their containers. It would be useful if you could specify an offset to be used. This would solve not only CreateParticle, but also any other things done by the object such as CreateObject, etc.

However, the problem I currently see is that the position will depend on bone animations which aren't synchronized. If there were a sync-save way to get an (approximate) position for attached objects, then that could be used.

~0004182

Clonkonaut (developer)

Probably won't change in 7.0

Needs some evil engine features.

~0004192

Pyrit (developer)

A solution would be, that if an object's mesh is attached to something, and the object uses CreateParticleAtBone(), these particles are also created on the attached mesh. That would be animation synchrone.

In other words: when an object uses CreateParticleAtBone(), the attached copy of the object's mesh will also create these particles.

~0005976

Marky (developer)

Seems to be very related to this one:
http://bugs.openclonk.org/view.php?id=1300

I'll see if it makes sense to create a workaround for this one, though.

~0005977

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/993d8c4565bf1c74b60236226dc2c7fffe500dec

Changeset 993d8c4 by Mark <markh4b@hotmail.com>
0001249 Fix barrel fuse effect
Improved the barrel fuse effect in two ways:
1) The fuse is not at the center of the poweder keg anymore, making it more prominent
2) When carried by a clonk the effect is at the keg instead of the clonk center

~0005978

Marky (developer)

Well, this was not a problem of CreateParticleAtBone() after all, because that function was not even used in the implementation before the fix.
+Notes

-Issue History
Date Modified Username Field Change
2015-01-21 17:06 Maikel New Issue
2015-01-22 09:46 Zapper Note Added: 0003443
2015-01-22 13:22 Sven2 Note Added: 0003445
2015-10-16 00:33 Sven2 Target Version 6.1 => 7.0
2015-11-30 12:41 Clonkonaut Note Added: 0004182
2015-11-30 12:41 Clonkonaut Status new => confirmed
2015-11-30 12:41 Clonkonaut Target Version 7.0 => 8.0
2015-11-30 13:08 Pyrit Note Added: 0004192
2017-12-23 11:21 Luchs Target Version 8.0 => git master
2017-12-27 10:27 Marky Relationship added related to 0001300
2017-12-27 10:28 Marky Note Added: 0005976
2017-12-27 10:28 Marky Assigned To => Marky
2017-12-27 10:28 Marky Status confirmed => assigned
2017-12-27 12:52 occ Note Added: 0005977
2017-12-27 13:05 Marky Status assigned => resolved
2017-12-27 13:05 Marky Resolution open => fixed
2017-12-27 13:05 Marky Fixed in Version => git master
2017-12-27 13:05 Marky Note Added: 0005978
+Issue History